extends VBoxContainer

func load_preview_image(path: String) -> ImageTexture:
	OS.request_permissions()
	var image := Image.new()
	var err := image.load(path)
	if err != OK:
		printerr("Loading image failed " + str(err))
	image.resize(80,80)
	return ImageTexture.create_from_image(image)

func _on_choose_picture_button_pressed() -> void:
	$FileDialog.visible = true

func _on_file_dialog_file_selected(path: String) -> void:
	Global.picture_path = path
	var texture := load_preview_image(path)
	%placeholder_button.texture_normal = texture
